org.apache.cassandra.io.sstable

## Class IndexSummaryBuilder

- java.lang.Object
- - org.apache.cassandra.io.sstable.IndexSummaryBuilder

-     public class IndexSummaryBuilder
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `IndexSummaryBuilder(long expectedKeys)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `IndexSummary` | `build(IPartitioner partitioner)`
    `IndexSummaryBuilder` | `maybeAddEntry(DecoratedKey decoratedKey, long indexPosition)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### IndexSummaryBuilder

          public IndexSummaryBuilder(long expectedKeys)

  - ### Method Detail

    - #### maybeAddEntry

          public IndexSummaryBuilder maybeAddEntry(DecoratedKey decoratedKey,
                                          long indexPosition)

    - #### build

          public IndexSummary build(IPartitioner partitioner)

Copyright © 2014 The Apache Software Foundation